org.apache.poi.hwmf.record

## Class HwmfPalette

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfPalette

-     public class HwmfPalette
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HwmfPalette.PaletteEntry`
    `static class` | `HwmfPalette.WmfAnimatePalette` The META_ANIMATEPALETTE record redefines entries in the logical palette that is defined in the playback device context with the specified Palette object The logical palette that is specified by the Palette object in this record is the source of the palette changes, and the logical palette that is currently selected into the playback device context is the destination.
    `static class` | `HwmfPalette.WmfCreatePalette` The META_CREATEPALETTE record creates a Palette Object
    `static class` | `HwmfPalette.WmfPaletteParent`
    `static class` | `HwmfPalette.WmfRealizePalette` The META_REALIZEPALETTE record maps entries from the logical palette that is defined in the playback device context to the system palette.
    `static class` | `HwmfPalette.WmfResizePalette` The META_RESIZEPALETTE record redefines the size of the logical palette that is defined in the playback device context.
    `static class` | `HwmfPalette.WmfSelectPalette` The META_SELECTPALETTE record defines the current logical palette with a specified Palette Object.
    `static class` | `HwmfPalette.WmfSetPaletteEntries` The META_SETPALENTRIES record defines RGB color values in a range of entries in the logical palette that is defined in the playback device context.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HwmfPalette()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HwmfPalette

          public HwmfPalette()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.